@ECHO OFF
ECHO Setup...
ECHO.

REM Controls the visibility of environment variables and enables cmd extensions
setlocal enableextensions

REM Changes the current directory to %~dp0 which is a special batch parameter that expands to the drive and directory that batch file is located in.
cd /d "%~dp0"

REM ================================================================
SET KEY_NAME=HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment
SET VALUE_NAME=PROCESSOR_ARCHITECTURE

for /F "usebackq tokens=3" %%A IN (`reg query "%KEY_NAME%" /v "%VALUE_NAME%" 2^>nul ^| find "%VALUE_NAME%"`) do (
  If %%A==AMD64 SET OS_TYPE=AMD64
  If %%A==x86 SET OS_TYPE=X86
)

REM ================================================================

SET CURRENT_DIRECTORY=%CD%

SET DLL_NAME=EMCB
SET LIBRARY_FOLDER=%CURRENT_DIRECTORY%\lib
SET X86_LIBRARY=%LIBRARY_FOLDER%\win32
SET X64_LIBRARY=%LIBRARY_FOLDER%\x64

SET SYSTEM32_FOLDER=%windir%\System32
SET SYSWOW64_FOLDER=%windir%\SysWOW64

REM ================================================================

:X64_INFO
if %OS_TYPE%==X86 GOTO X86_INFO
ECHO.
ECHO ==========================
ECHO == x64 Environment      ==
ECHO ==========================
GOTO X64_COPYFILES

:X86_INFO
ECHO.
ECHO ==========================
ECHO == x86 Environment      ==
ECHO ==========================

REM ================================================================

:X64_COPYFILES
ECHO.
ECHO ** Copy files **

if %OS_TYPE%==X86 GOTO X86_COPYFILES
XCOPY /Y "%X86_LIBRARY%\*.dll" "%SYSWOW64_FOLDER%\"
XCOPY /Y "%X64_LIBRARY%\*.dll" "%SYSTEM32_FOLDER%\"
GOTO EXIT

:X86_COPYFILES
XCOPY /Y "%X86_LIBRARY%\*.dll" "%SYSTEM32_FOLDER%\"

REM ================================================================

:EXIT
PAUSE
